﻿@import url(webfonts.css);
@import url(themify-icons.css);

body {
    padding-top: 50px;
    padding-bottom: 20px;
}

div.ajaxloader {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: transparent;
    display: none;
    z-index: 999999;
    cursor: wait;
}

h1 a.btn {
    margin-left: 20px;
    padding-left: 10px;
    font-size: 16px;
    font-family: "Maven pro"; 
}

h1 small {
    font-size: 14px !important;
    font-family: "Calibri";
}

h3 {
    border-bottom: 1px dotted #333;
    font-family: "Maven pro" !important;
}

h4 {
    font-family: "Maven pro" !important;
}

.jq_eanButton {
    font-family: "Calibri";
}

.row {
    font-family: "Calibri";
}

.validation-summary-errors ul {
    list-style: none;
    margin-top: 10px;
}

.dropdown-menu {
    z-index: 1002 !important;
}
/* font size */
#Grid table,
ul.nav li {
    font-size: 12px;
}

.nav-tabs > li > a {
    background-color: #eeeeee;
    border-top: 1px solid lightgrey !important; 
    border-right: 1px solid lightgrey !important; 
    border-left: 1px solid lightgrey !important; 
    border-radius: 8px 8px 0 0 !important; 
}


/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 345px;
}

.blocks .btn {
    padding: 24px 12px;
    border-radius: 0
}

.blocks {
    border-spacing: 10px;
}

body, html {
    color: #24313a;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: OpenSans;
    font-size: 15px;
}

body {
    background: #e6eff4 !important;
    
}

hr {
    border-top: 1px solid #080f15 !important;
    margin-top: 5px;
    margin-bottom: 10px;
}

h1 {
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 30px;
    margin-top: 0;
    font-family: "Maven pro" !important;
}

h2 {
    font-family: "Maven pro" !important;
}

p, th, td {
    font-family: "Calibri" !important;
}



.hidden {
    visibility: hidden; 
}

.flash {
    background-image: url(./images/flash-icon.png) !important;
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 20px;
    width: 20px;
}

.glyphicon-flash:before {
    content: "" !important;
}

/*Electricity icon*/
.glyphicon-flash {
    background-image: url(./images/flash-icon.png) !important;
    background-size: 40% !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 40px;
    width: 40px;
}

/*Gas icon*/
.fire {
    background-image: url(./images/fire-icon.png) !important;
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 20px;
    width: 14px;
}

.glyphicon-fire:before {
    content: "" !important;
}

/*Gas icon*/
.glyphicon-fire {
    background-image: url(./images/fire-icon.png) !important;
    background-size: 40% !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 40px;
    width: 40px;
}

/* Critical movement also on going */
.onGoingIcon {
    background-image: url(./images/FollowUpMovementsReport-icon.png);
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 20px;
    width: 20px;
}

/* OnGoing movement also critical */
.criticalIcon {
    background-image: url(./images/CriticalMovementsReport-icon.png);
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 20px;
    width: 20px;
}

/*Movement reports*/
.ongoing, .ti-alertn, .my-actions, .warning {
    font-size: 50px;
    float: left;
    margin: 30px 0 0 20px;
}

/*Critical movements icon*/
.ti-alert:before {
    content: "" !important;
    background-image: url(./images/CriticalMovementsReport-icon.png);
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 60px;
    width: 60px;
}

/*Ongoing movements icon*/
.ongoing {
    background-image: url(./images/FollowUpMovementsReport-icon.png);
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 60px;
    width: 60px;
}

/*My actions icon*/
.my-actions {
    background-image: url(./images/MyActionsMovementReport-icon.png);
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 60px;
    width: 60px;
}

/*Warnings report*/
.warning {
    background-image: url(./images/WarningMovementReport-icon.png);
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    height: 60px;
    width: 60px;
}

.app-header {
    background: white;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100px;
    z-index: 5;
}

.app-header div {
        height: 100px;
    }

.app-header div.left {
            background: white url('images/nrclick_move.png') no-repeat left 40px top 50%;
            background-size: auto 30px;
        }

.app-header div.right {
    background: white url('images/sibelga.png') no-repeat right 80px top 50%;
    background-size: auto 70px;
}

nav.toolbar
{
    position: absolute;
    right: 30px;
    top: 70px;
}

nav.toolbar a#menubutton {
    display: block;
    text-align: right;
    text-decoration: none; 
    color: #333;
    font-size: 20px
}

nav.toolbar ul {
    border: 1px solid #333;
    padding: 0;
    margin: 0;
    list-style: none;
    display: none;
}

nav.toolbar li {
    font-size: 14px;
    display: block;
    background: white;
    padding: 2px 5px;
    border-bottom: 1px solid #333;
    list-style: none;
}

nav.toolbar li:last-child {
    border-bottom: none;
}

nav.toolbar li a,
nav.toolbar li a:hover,
nav.toolbar li a:active,
nav.toolbar li a:focus,
nav.toolbar li a:visited { color: #333; text-decoration: none; display: block }

div.main-container {
    min-height:100%;
    /*background: transparent url(images/mainbgline.png) no-repeat right 0 bottom 40px;*/
    padding: 0 0 80px 0;
}
aside {
    position: fixed;
    top: 0;
    background: #212d39;
    width: 220px;
    color: white;
    font-size: 12px;
    border-right: 1px solid white;
    /*height: 100%;*/
    /*padding-top: 100px;*/
    height: calc(100% - 120px); 
    margin-top: 110px; 
    border-radius: 8px; 
}

aside form {
    margin: 4px 8px;
}

aside a,
aside a:active,
aside a:hover,
aside a:visited,
aside a:focus {
    color: white;
    text-decoration: none;
    display: block;
}

aside a:hover {
    background: #015673;
}

aside input[type=text] {
    width: 100%;
    padding: 6px 10px;
}

aside nav {
    padding-top: 18px;
    padding-left: 8px;
    padding-right: 8px;
}

aside nav ul {
    list-style: none;
    margin-left: 0;
    margin-right: 0;
    padding: 0;
}

aside nav ul li > a,
aside nav ul li > span
 {
    display: block;
    min-height: 36px;
    padding: 0;
    margin: 0;
    padding-left: 10px;
    padding-top: 10px;
    white-space: nowrap;
}

aside nav ul ul a {
    padding-left: 10px;
} 

aside nav ul ul ul a {
    padding-left: 25px;
} 

aside nav ul ul ul ul a {
    padding-left: 40px;
} 

aside nav ul ul ul ul ul a {
    padding-left: 55px;
} 

aside nav ul ul ul ul ul ul a {
    padding-left: 70px;
} 

aside nav ul ul ul ul ul ul ul a {
    padding-left: 85px;
} 

aside nav ul ul ul ul ul ul ul ul a {
    padding-left: 100px;
} 

aside nav.navigation {
    height: calc(100% - 200px);
    overflow-y: auto;
}

aside nav.shortcuts {
    border-top: 18px solid white;
    position: absolute;
    bottom: 0;
    width: 220px;
}

aside nav i {
    float: left;
    display: block;
    margin-top: 2px;
}

aside nav li.mnu-chaexp i.ti-angle-down {
    display: inline;
    margin-right: 10px;
}

aside nav b {
    display: block;
    border-bottom: 1px solid #074473;
    margin-left: 25px;
    padding-bottom: 7px
}

#channelexplorer {
    overflow-x: hidden;
    overflow-y: auto;
}

#channelexplorer div.noresult {
    font-style: italic;
    text-align: center;
    padding: 10px;
}

#channelexplorer::-webkit-scrollbar{width: 3px;}
#channelexplorer::-webkit-scrollbar-thumb{background-color: #074473 ; border-radius: 0;}
#channelexplorer::-webkit-scrollbar-track{background-color: #e6eff4 ;}

main.login{
    padding-top: 100px;
    padding-bottom: 100px;
    font-size: 20px;
}

main.maincontent {
    margin-left: 220px;
    padding-top: 20px;
    padding-bottom: 100px;
    font-size: 16px;
}

ul.dashboard-cards {
    list-style: none;
    padding: 0;
}

ul.dashboard-cards.small {
    margin-top: 10px;
}

ul.dashboard-cards > li {
    margin-bottom: 10px;
}

ul.dashboard-cards > li > button {
    border: none;
    color: white;
    background: #ec1b42;
    display: block;
    text-align: right;
    width: 100%;
}

ul.dashboard-cards > li > button span.ti-alert {
    font-size: 50px;
    float: left;
    margin: 30px 0 0 20px;
}

ul.dashboard-cards > li > button.danger {
    
}

ul.dashboard-cards > li h2 {
    font-size: 18px;
    margin: 30px 0 10px 0;
}

ul.dashboard-cards.small > li h2 {
    font-size: 10px;
    margin-top: 20px;
}

ul.dashboard-cards > li i {
    font-style: normal;
    font-size: 50px;
    font-weight: lighter;
    border-bottom: 1px solid white;
    width: 50%;
    display: inline-block;
    margin-right: -6px;
    padding-right: 10px;
}

ul.dashboard-cards.small > li i {
    font-size:18px;
    border-bottom: none;
    border-left: 1px solid white;
    width: auto;
    margin-left: 10px;
    padding-left: 10px;
    margin-right: 0;
    padding-right: 0;
}


ul.dashboard-cards > li a,
ul.dashboard-cards > li a:active,
ul.dashboard-cards > li a:hover {
    display: block;
    width: 100%;
    color: white;
    text-decoration: none;
}

ul.dashboard-cards > li a b {
    display: block;
    float:right;
    width: 50%;
    border-top: 1px solid white;
    font-weight: bold;
    font-size: 25px;
    margin-right: -6px;
}

ul.dashboard-cards > li a span {
    font-size: 15px;
    margin: 0 10px;
}

ul.dashboard-cards > li + li > button {
    /*background: #46bcc8;*/
    background: rgb(153, 204, 51); 
}

ul.dashboard-cards > li + li + li > button {
    background: #ee551b;
}

ul.dashboard-cards > li + li + li + li > button {
    background: #81287c;
}

ul.dashboard-cards > li + li + li + li + li > button {
    background: #81287c;
}

ul.dashboard-cards > li + li + li + li + li + li > button {
    background: #ee551b;
}

ul.dashboard-cards > li + li + li + li + li + li + li > button {
    background: #46bcc8;
}

ul.dashboard-cards > li > button div.go {
    margin: 0 -6px;
    border: 4px solid transparent;
    background: #c11e3d;
    border-bottom-color: #a51632;
    border-right-color: #a51632;
}

ul.dashboard-cards > li + li > button div.go {
    background: rgb(132, 173, 43);
    border-bottom-color: rgb(111, 145, 35);
    border-right-color: rgb(111, 145, 35);
}

ul.dashboard-cards > li + li + li > button div.go {
    background: #c44b1c;
    border-bottom-color: #973a12;
    border-right-color: #973a12;
}

ul.dashboard-cards > li + li + li + li > button div.go {
    background: #6c1a66;
    border-bottom-color: #5a1558;
    border-right-color: #5a1558;
}

ul.dashboard-cards > li + li + li + li + li > button div.go {
    background: #6c1a66;
    border-bottom-color: #5a1558;
    border-right-color: #5a1558;
}

ul.dashboard-cards > li + li + li + li + li + li > button div.go {
    background: #c44b1c;
    border-bottom-color: #973a12;
    border-right-color: #973a12;
}

div.dashboard-shortcuts button {
    width: 100%;
    border: none;
    background: #0a4356;
    color: white;
    text-align: left;
    padding: 30px 20px;
    margin-bottom: 10px;
}

div.dashboard-shortcuts button span {
    margin-right: 25px;
}

div.input-group.search{
    width: 300px;
}

.ui-autocomplete {
    position: absolute;
    z-index: 1000;
    cursor: default;
    padding: 0;
    margin-top: 2px;
    list-style: none;
    background-color: #ffffff;
    border: 1px solid #ccc;
    -webkit-border-radius: 5px;
       -moz-border-radius: 5px;
            border-radius: 5px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
       -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
            box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}
.ui-autocomplete > li {
  padding: 3px 20px;
}
.ui-autocomplete > li.ui-state-focus {
  background-color: #DDD;
}
.ui-helper-hidden-accessible {
  display: none;
}

/* tables */

table a[class^=ti-] {
    color: #333;
    text-decoration: none;
    font-size: 20px;
}

#Grid table td, 
#Grid table th {
    background: #b1d7ee;
}

#Grid table tbody tr:nth-child(odd) td {
    background: #8ec2e2;
}

#header-fixed {
    position:fixed; 
    display:none; 
    top:0px
}

/* Critial theme */
#Grid table.Critical th {
    background: #ec1b42; /* ------old ---------- #eab6c2;*/
    color: white;
}

/* FollowUp theme */
#Grid table.FollowUp th {
    background: rgb(153, 204, 51);
    color: white;
}

/* ToFinalize theme */
#Grid table.ToFinalize th {
    background: #ee551b; /*#f1bca8;*/
    color: white; 
}

/* Warning theme */
#Grid table.Warning th {
    background: #81287c;  /*#cfb8ce;*/
    color: white; 
}

/* Movement history report */
#Grid table.movementhistory th {
    background: #ec1b42; 
    color: white;
}

/* My eans*/
#Grid table.myeans th {
    background: rgb(153, 204, 51);
    color: white;
}

/* Supplier check */
#Grid table.suppliercheck th {
    background: #ee551b;
    color: white;
}

/* Contract eans */
#Grid table.contracteans th {
    background: #ee551b;
    color: white;
}

/* Limpu eans */
#Grid table.limpueans th {
    background: #81287c;
    color: white;
}

/* Admin report */
#Grid table.adminreport th {
    background: #81287c;
    color: white;
}

/* General tables */
#Grid table.eanmovements th,
#Grid table.supplieraddresses th,
#Grid table.eanlist th,
#Grid table.supplierlist th,
#Grid table.userlist th {
    background: rgb(150, 141, 136); /*Gray;*/
    color: white;
}

#Grid table.eanmovements td,
#Grid table.supplieraddresses td,
#Grid table.eanlist td,
#Grid table.supplierlist td,
#Grid table.userlist td,
#Grid table.adminreport td,
#Grid table.limpueans td,
#Grid table.contracteans td,
#Grid table.suppliercheck td,
#Grid table.myeans td,
#Grid table.Warning td,
#Grid table.ToFinalize td,
#Grid table.FollowUp td,
#Grid table.Critical td,
#Grid table.movementhistory td {
    background: #F5F5F5;
}

#Grid table.eanmovements tbody tr:nth-child(odd) td,
#Grid table.supplieraddresses tbody tr:nth-child(odd) td,
#Grid table.eanlist tbody tr:nth-child(odd) td,
#Grid table.supplierlist tbody tr:nth-child(odd) td,
#Grid table.userlist tbody tr:nth-child(odd) td,
#Grid table.adminreport tbody tr:nth-child(odd) td,
#Grid table.limpueans tbody tr:nth-child(odd) td,
#Grid table.contracteans tbody tr:nth-child(odd) td,
#Grid table.suppliercheck tbody tr:nth-child(odd) td,
#Grid table.myeans tbody tr:nth-child(odd) td,
#Grid table.Warning tbody tr:nth-child(odd) td,
#Grid table.ToFinalize tbody tr:nth-child(odd) td,
#Grid table.FollowUp tbody tr:nth-child(odd) td,
#Grid table.Critical tbody tr:nth-child(odd) td,
#Grid table.movementhistory tbody tr:nth-child(odd) td {
    background: white;
}

/* table sorter */
table.tablesorter th {
    cursor: pointer;
    position: relative;
    padding-right: 40px;
}

table.tablesorter th i  { display: none; position: absolute; right: 10px; }

table.tablesorter th.headerSortDown i.ti-angle-down {
   display: inline;
}

table.tablesorter th.headerSortUp    i.ti-angle-up {
   display: inline;
}

table.tableexportable td.nodisplay,
table.tableexportable th.nodisplay {
    display: none;
}

/* Forms */
label.control-label {
    font-weight: normal;
    font-family: "Calibri"; 
}

.form-inline.form-address.form-address input.address-street {
    width: 225px;
}
.form-inline.form-address.form-address input.address-number {
    width: 60px;
}
.form-inline.form-address.form-address input.address-box {
    width: 50px;
}
.form-inline.form-address.form-address input.address-postcode {
    width: 60px;
}
.form-inline.form-address.form-address input.address-city {
    width: 280px;
}

/* Panels */
.panel .panel-heading {
    font-weight: bold;
    font-family: Calibri; 
}

#EanDetails div.jq_Window {
    border-bottom-left-radius: 8px; 
    border-bottom-right-radius: 8px; 
    border-top-right-radius: 8px; 
    border-top-left-radius: 0px; 
}


.ui-widget-content { background: white !important; }

.ui-autocomplete {
    max-height: 250px;
    overflow-y: auto;
}

@media (min-width: 1200px) {

    #Grid table,
    ul.nav li {
        font-size: 16px;
    }

    .app-header {
        height: 150px;
    }

    .app-header div {
        height: 150px;
    }

    .app-header div.left {
       background-size: auto 40px;
    }

    .app-header div.right {
        background-size: auto 100px;
    }

    aside {
        height: calc(100% - 170px); 
        margin-top: 160px; 
        padding-top: 0px; 
        border-radius: 8px; 
    }
    
    main.login {
        padding-top: 150px;
    }

    ul.dashboard-cards > li h2 {
        font-size: 22px;
        margin: 60px 0 0px 0;
        height: 3em; 
    }
    
    ul.dashboard-cards.small > li h2 {
        font-size: 14px;
        margin-top: 30px;
    }

    ul.dashboard-cards > li i {
        font-size: 76px;
    }

    aside {
        width: 300px;
        font-size: 14px;
    }

    aside nav.shortcuts {
        width: 300px;
    }

    main.maincontent {
        margin-left: 300px;
    }

    nav.toolbar {
        right: 35px;
        top: 120px;
    }
}

input#GasEan_IndexMonoDecimals,
input#ElectricityEan_IndexMonoDecimals,
input#ElectricityEan_DayIndexDecimals,
input#ElectricityEan_NightIndexDecimals,
input#ElectricityEan_ExclNightIndexDecimals {
    width: 45px;
}


.ui-front {z-index: 2000 !important; }
.ui-dialog {z-index: 2001 !important; }


article.glossary dd {
    margin-bottom: 20px;
}

#ui-datepicker-div {z-index: 1002 !important; }

.text-box {
    padding-bottom: 10px !important; 
}

.padding-top {
    padding-top: 10px !important; 
}

.display-for {
    padding-bottom: 5px; 
}

.margin-top {
    margin-top: 15px; 
}
